(function (cjs, an) {

var p; // shortcut to reference prototypes
var lib={};var ss={};var img={};
lib.ssMetadata = [];


// symbols:
// helper functions:

function mc_symbol_clone() {
	var clone = this._cloneProps(new this.constructor(this.mode, this.startPosition, this.loop));
	clone.gotoAndStop(this.currentFrame);
	clone.paused = this.paused;
	clone.framerate = this.framerate;
	return clone;
}

function getMCSymbolPrototype(symbol, nominalBounds, frameBounds) {
	var prototype = cjs.extend(symbol, cjs.MovieClip);
	prototype.clone = mc_symbol_clone;
	prototype.nominalBounds = nominalBounds;
	prototype.frameBounds = frameBounds;
	return prototype;
	}


(lib.cloud_06 = function(mode,startPosition,loop) {
	this.initialize(mode,startPosition,loop,{});

	// Layer 1
	this.shape = new cjs.Shape();
	this.shape.graphics.f("#FFFFFF").s().p("Eg3IAUIQgzhoAAh5QAAjXCYiXQCYiYDXAAQBqAABiApQBFjuC7iXQC/iaDvAAQBRAABOATQAzk3DujSQDvjUFAgLQBakLDlinQDqisEjAAQCyABCjBEQCeBBB7B4QB6B5BFCcQBIChAECyQE2A1EICtQECCqCtD+QB+hbCTgvQCYgzCiAAQFgABETDcQEODZBPFQQAYgEAcAAQCiAAByByQByByAAChQAAArgKArg");
	this.shape.setTransform(-2408.4,0,0.286,0.286);

	this.shape_1 = new cjs.Shape();
	this.shape_1.graphics.f("#FFFFFF").s().p("Eg3IAUIQgzhoAAh5QAAjXCYiXQCYiYDXAAQBqAABiApQBFjuC7iXQC/iaDvAAQBRAABOATQAzk3DujSQDvjUFAgLQBakLDlinQDqisEjAAQCyABCjBEQCeBBB7B4QB6B5BFCcQBIChAECyQE2A1EICtQECCqCtD+QB+hbCTgvQCYgzCiAAQFgABETDcQEODZBPFQQAYgEAcAAQCiAAByByQByByAAChQAAArgKArg");
	this.shape_1.setTransform(0,0,0.286,0.286);

	this.timeline.addTween(cjs.Tween.get({}).to({state:[{t:this.shape_1},{t:this.shape}]}).wait(1));

}).prototype = getMCSymbolPrototype(lib.cloud_06, new cjs.Rectangle(-2510.6,-36.8,2612.9,73.6), null);


(lib.cloud_05 = function(mode,startPosition,loop) {
	this.initialize(mode,startPosition,loop,{});

	// Layer 1
	this.shape = new cjs.Shape();
	this.shape.graphics.f("#EEEEEE").s().p("EhNRAZEQgPhTAAhPQAAizBFikQBDieB6h7QB7h6CehDQCkhGC0AAQC1ABCmBHQCgBEB7B9QBfkmC2j6QCzj5D2i1QD5i4ElhiQEvhlFCgBQFHAAEyBoQAej1B1jZQBxjUC0ihQC1ihDhhWQDohbD8AAQGCAAFFDLQE8DHCqFLQBIgMBKABQC2AACnBGQCgBEB8B8QB8B7BEChQBHCmAAC1IgCA7QCkg7CwAAQFvABEcDnQEYDlBLFfQCahaC0AAQERAADBDBQDBDBAAERQAABtgjBmg");
	this.shape.setTransform(-1848.3,0,0.286,0.286);

	this.shape_1 = new cjs.Shape();
	this.shape_1.graphics.f("#EEEEEE").s().p("EhNRAZEQgPhTAAhPQAAizBFikQBDieB6h7QB7h6CehDQCkhGC0AAQC1ABCmBHQCgBEB7B9QBfkmC2j6QCzj5D2i1QD5i4ElhiQEvhlFCgBQFHAAEyBoQAej1B1jZQBxjUC0ihQC1ihDhhWQDohbD8AAQGCAAFFDLQE8DHCqFLQBIgMBKABQC2AACnBGQCgBEB8B8QB8B7BEChQBHCmAAC1IgCA7QCkg7CwAAQFvABEcDnQEYDlBLFfQCahaC0AAQERAADBDBQDBDBAAERQAABtgjBmg");
	this.shape_1.setTransform(0,0,0.286,0.286);

	this.timeline.addTween(cjs.Tween.get({}).to({state:[{t:this.shape_1},{t:this.shape}]}).wait(1));

}).prototype = getMCSymbolPrototype(lib.cloud_05, new cjs.Rectangle(-1990,-45.8,2131.7,91.7), null);


(lib.cloud_04 = function(mode,startPosition,loop) {
	this.initialize(mode,startPosition,loop,{});

	// Layer 1
	this.shape = new cjs.Shape();
	this.shape.graphics.f("#FFFFFF").s().p("Eg6VATwQhBiGAAiXQABkSDCjCQDBjBESAAQBqAABkAgQBgAgBTA7QCNjQDdh4QDkh6EEAAIAZAAQgCgeABgfQgBjyBejeQBbjWClilQClilDXhbQDdheDzAAQE9AAESCdQEKCYCgEGQEXAWDQC8QDOC8AyEQQDXAeC8BrQC3BoCHCkQBmi+C3hwQC9hzDfAAQCgAACUA9QCNA8BuBuQBtBtA9COQA9CTAAChIAAANQC+AlCMCHQCMCHAtC8g");
	this.shape.setTransform(-2209.4,0,0.286,0.286);

	this.shape_1 = new cjs.Shape();
	this.shape_1.graphics.f("#FFFFFF").s().p("Eg6VATwQhBiGAAiXQABkSDCjCQDBjBESAAQBqAABkAgQBgAgBTA7QCNjQDdh4QDkh6EEAAIAZAAQgCgeABgfQgBjyBejeQBbjWClilQClilDXhbQDdheDzAAQE9AAESCdQEKCYCgEGQEXAWDQC8QDOC8AyEQQDXAeC8BrQC3BoCHCkQBmi+C3hwQC9hzDfAAQCgAACUA9QCNA8BuBuQBtBtA9COQA9CTAAChIAAANQC+AlCMCHQCMCHAtC8g");
	this.shape_1.setTransform(0,0,0.286,0.286);

	this.timeline.addTween(cjs.Tween.get({}).to({state:[{t:this.shape_1},{t:this.shape}]}).wait(1));

}).prototype = getMCSymbolPrototype(lib.cloud_04, new cjs.Rectangle(-2317.9,-36.1,2426.5,72.2), null);


(lib.cloud_03 = function(mode,startPosition,loop) {
	this.initialize(mode,startPosition,loop,{});

	// Layer 1
	this.shape = new cjs.Shape();
	this.shape.graphics.f("#FFFFFF").s().p("A/UMpQgNguAAgtQAAiMBjhjQBjhjCNAAQBQAABHAjQAiiiCChoQCChrCpAAQBpgBBdAsQBdjGC3h3QC8h6DiAAQA7AAA4AJQBPjOC3h/QC6iCDkAAQCTAACHA5QCDA3BlBlQBkBkA3CDQA5CHAACTQAABvggBpQggBmg8BYQBzg3CBgBQDiAACjCfQCiCcAGDig");
	this.shape.setTransform(-1966.3,0,0.286,0.286);

	this.shape_1 = new cjs.Shape();
	this.shape_1.graphics.f("#FFFFFF").s().p("A/UMpQgNguAAgtQAAiMBjhjQBjhjCNAAQBQAABHAjQAiiiCChoQCChrCpAAQBpgBBdAsQBdjGC3h3QC8h6DiAAQA7AAA4AJQBPjOC3h/QC6iCDkAAQCTAACHA5QCDA3BlBlQBkBkA3CDQA5CHAACTQAABvggBpQggBmg8BYQBzg3CBgBQDiAACjCfQCiCcAGDig");
	this.shape_1.setTransform(0,0,0.286,0.286);

	this.timeline.addTween(cjs.Tween.get({}).to({state:[{t:this.shape_1},{t:this.shape}]}).wait(1));

}).prototype = getMCSymbolPrototype(lib.cloud_03, new cjs.Rectangle(-2023.9,-23.1,2081.6,46.2), null);


(lib.cloud_02 = function(mode,startPosition,loop) {
	this.initialize(mode,startPosition,loop,{});

	// Layer 1
	this.shape = new cjs.Shape();
	this.shape.graphics.f("#FFFFFF").s().p("AzjG9Qglg9AAhFQAAhnBKhKQBIhJBoAAQBHAAA8AlQA6AkAgA8QgDgdAAgeQAAjxCsirQCrirDxAAQCWAACBBHQB/BFBPB3QBUg5BlAAQCCAABfBbQBeBaAFCAQAUgCARAAQBkAABOA+QBMA9AZBeQARgFAUABQBHgBA0AxQAzAxAEBGg");
	this.shape.setTransform(-2049.8,0,0.286,0.286);

	this.shape_1 = new cjs.Shape();
	this.shape_1.graphics.f("#FFFFFF").s().p("AzjG9Qglg9AAhFQAAhnBKhKQBIhJBoAAQBHAAA8AlQA6AkAgA8QgDgdAAgeQAAjxCsirQCrirDxAAQCWAACBBHQB/BFBPB3QBUg5BlAAQCCAABfBbQBeBaAFCAQAUgCARAAQBkAABOA+QBMA9AZBeQARgFAUABQBHgBA0AxQAzAxAEBGg");
	this.shape_1.setTransform(0,0,0.286,0.286);

	this.timeline.addTween(cjs.Tween.get({}).to({state:[{t:this.shape_1},{t:this.shape}]}).wait(1));

}).prototype = getMCSymbolPrototype(lib.cloud_02, new cjs.Rectangle(-2086.6,-12.7,2123.5,25.4), null);


(lib.cloud_01 = function(mode,startPosition,loop) {
	this.initialize(mode,startPosition,loop,{});

	// Layer 1
	this.shape = new cjs.Shape();
	this.shape.graphics.f("#EFEFEF").s().p("EgvTARvQhBiUAAihQAAidA9iOQA7iKBphrQBrhqCKg6QCPg9CdAAQCTAACIA2QgGhAAAg3QAAjlBZjRQBVjKCbicQCdicDJhVQDShZDlABQFGAAESCtQELCpCMEaQBrhUB/gsQCFgvCMAAQFEAADtDcQDrDaAaE/QBMgQBTAAQEgAADgCzQDcCxBBERQBqg2B4AAQDMAACRCQQCRCQAADNIAAAKg");
	this.shape.setTransform(-1832.2,0,0.286,0.286);

	this.shape_1 = new cjs.Shape();
	this.shape_1.graphics.f("#EFEFEF").s().p("EgvTARvQhBiUAAihQAAidA9iOQA7iKBphrQBrhqCKg6QCPg9CdAAQCTAACIA2QgGhAAAg3QAAjlBZjRQBVjKCbicQCdicDJhVQDShZDlABQFGAAESCtQELCpCMEaQBrhUB/gsQCFgvCMAAQFEAADtDcQDrDaAaE/QBMgQBTAAQEgAADgCzQDcCxBBERQBqg2B4AAQDMAACRCQQCRCQAADNIAAAKg");
	this.shape_1.setTransform(230,0,0.286,0.286);

	this.timeline.addTween(cjs.Tween.get({}).to({state:[{t:this.shape_1},{t:this.shape}]}).wait(1));

}).prototype = getMCSymbolPrototype(lib.cloud_01, new cjs.Rectangle(-1920.5,-32.4,2238.9,64.8), null);


(lib.clouds_06_mc = function(mode,startPosition,loop) {
	this.initialize(mode,startPosition,loop,{});

	// cloud_06
	this.instance = new lib.cloud_06();
	this.instance.parent = this;
	this.instance.setTransform(142.3,79.9);

	this.timeline.addTween(cjs.Tween.get(this.instance).to({x:2548.4},630).wait(1));

}).prototype = p = new cjs.MovieClip();
p.nominalBounds = new cjs.Rectangle(-2368.4,43.1,2612.9,73.6);


(lib.clouds_05_mc = function(mode,startPosition,loop) {
	this.initialize(mode,startPosition,loop,{});

	// cloud_05
	this.instance = new lib.cloud_05();
	this.instance.parent = this;
	this.instance.setTransform(497.6,31.6);

	this.timeline.addTween(cjs.Tween.get(this.instance).to({x:2346.1},503).wait(1));

}).prototype = p = new cjs.MovieClip();
p.nominalBounds = new cjs.Rectangle(-1492.4,-14.2,2131.7,91.7);


(lib.clouds_04_mc = function(mode,startPosition,loop) {
	this.initialize(mode,startPosition,loop,{});

	// cloud_04
	this.instance = new lib.cloud_04();
	this.instance.parent = this;
	this.instance.setTransform(353,7);

	this.timeline.addTween(cjs.Tween.get(this.instance).to({x:2559.3},614).wait(1));

}).prototype = p = new cjs.MovieClip();
p.nominalBounds = new cjs.Rectangle(-1964.9,-29.1,2426.5,72.2);


(lib.clouds_3_mc = function(mode,startPosition,loop) {
	this.initialize(mode,startPosition,loop,{});

	// cloud_03
	this.instance = new lib.cloud_03();
	this.instance.parent = this;
	this.instance.setTransform(160.1,-75);

	this.timeline.addTween(cjs.Tween.get(this.instance).to({x:2125},1016).wait(1));

}).prototype = p = new cjs.MovieClip();
p.nominalBounds = new cjs.Rectangle(-1863.8,-98.1,2081.6,46.2);


(lib.clouds_02_mc = function(mode,startPosition,loop) {
	this.initialize(mode,startPosition,loop,{});

	// cloud_02
	this.instance = new lib.cloud_02();
	this.instance.parent = this;
	this.instance.setTransform(410.5,-95);

	this.timeline.addTween(cjs.Tween.get(this.instance).to({x:2463.2},628).wait(1));

}).prototype = p = new cjs.MovieClip();
p.nominalBounds = new cjs.Rectangle(-1676.1,-107.7,2123.5,25.4);


(lib.clouds_01_mc = function(mode,startPosition,loop) {
	this.initialize(mode,startPosition,loop,{});

	// cloud_01
	this.instance = new lib.cloud_01();
	this.instance.parent = this;
	this.instance.setTransform(641.7,-84.3);

	this.timeline.addTween(cjs.Tween.get(this.instance).to({x:2701.9},1041).wait(1));

}).prototype = p = new cjs.MovieClip();
p.nominalBounds = new cjs.Rectangle(-1278.9,-116.7,2238.9,64.8);


(lib.ecoeco2 = function(mode,startPosition,loop) {
	this.initialize(mode,startPosition,loop,{});

	// Layer 14 (mask)
	var mask = new cjs.Shape();
	mask._off = true;
	mask.graphics.p("EhcYA63MAAAh1uMC4xAAAMAAAB1ug");
	mask.setTransform(7.5,-147.9);

	// clouds_06
	this.instance = new lib.clouds_06_mc();
	this.instance.parent = this;
	this.instance.setTransform(-464.7,25.5);

	var maskedShapeInstanceList = [this.instance];

	for(var shapedInstanceItr = 0; shapedInstanceItr < maskedShapeInstanceList.length; shapedInstanceItr++) {
		maskedShapeInstanceList[shapedInstanceItr].mask = mask;
	}

	this.timeline.addTween(cjs.Tween.get(this.instance).wait(1));

	// clouds_05
	this.instance_1 = new lib.clouds_05_mc();
	this.instance_1.parent = this;
	this.instance_1.setTransform(-139.8,76.8);

	var maskedShapeInstanceList = [this.instance_1];

	for(var shapedInstanceItr = 0; shapedInstanceItr < maskedShapeInstanceList.length; shapedInstanceItr++) {
		maskedShapeInstanceList[shapedInstanceItr].mask = mask;
	}

	this.timeline.addTween(cjs.Tween.get(this.instance_1).wait(1));

	// clouds_04
	this.instance_2 = new lib.clouds_04_mc();
	this.instance_2.parent = this;
	this.instance_2.setTransform(-139.8,76.8);

	var maskedShapeInstanceList = [this.instance_2];

	for(var shapedInstanceItr = 0; shapedInstanceItr < maskedShapeInstanceList.length; shapedInstanceItr++) {
		maskedShapeInstanceList[shapedInstanceItr].mask = mask;
	}

	this.timeline.addTween(cjs.Tween.get(this.instance_2).wait(1));

	// clouds_03
	this.instance_3 = new lib.clouds_3_mc();
	this.instance_3.parent = this;
	this.instance_3.setTransform(-139.8,76.8);

	var maskedShapeInstanceList = [this.instance_3];

	for(var shapedInstanceItr = 0; shapedInstanceItr < maskedShapeInstanceList.length; shapedInstanceItr++) {
		maskedShapeInstanceList[shapedInstanceItr].mask = mask;
	}

	this.timeline.addTween(cjs.Tween.get(this.instance_3).wait(1));

	// clouds_01
	this.instance_4 = new lib.clouds_01_mc();
	this.instance_4.parent = this;
	this.instance_4.setTransform(-139.8,86.8);

	var maskedShapeInstanceList = [this.instance_4];

	for(var shapedInstanceItr = 0; shapedInstanceItr < maskedShapeInstanceList.length; shapedInstanceItr++) {
		maskedShapeInstanceList[shapedInstanceItr].mask = mask;
	}

	this.timeline.addTween(cjs.Tween.get(this.instance_4).wait(1));

	// clouds_02
	this.instance_5 = new lib.clouds_02_mc();
	this.instance_5.parent = this;
	this.instance_5.setTransform(-1806.2,285.4,2.232,2.232);

	this.instance_6 = new lib.clouds_02_mc();
	this.instance_6.parent = this;
	this.instance_6.setTransform(-139.8,76.8);

	var maskedShapeInstanceList = [this.instance_5,this.instance_6];

	for(var shapedInstanceItr = 0; shapedInstanceItr < maskedShapeInstanceList.length; shapedInstanceItr++) {
		maskedShapeInstanceList[shapedInstanceItr].mask = mask;
	}

	this.timeline.addTween(cjs.Tween.get({}).to({state:[{t:this.instance_6},{t:this.instance_5}]}).wait(1));

}).prototype = getMCSymbolPrototype(lib.ecoeco2, new cjs.Rectangle(-583.8,-31,1182.6,185.2), null);


// stage content:
(lib.Element_clouds_sky_Canvas = function(mode,startPosition,loop) {
	this.initialize(mode,startPosition,loop,{});

	// Layer 1
	this.instance = new lib.ecoeco2();
	this.instance.parent = this;
	this.instance.setTransform(243.4,212.1,0.338,0.338,0,0,0,137.6,112);

	this.timeline.addTween(cjs.Tween.get(this.instance).wait(1));

}).prototype = p = new cjs.MovieClip();
p.nominalBounds = new cjs.Rectangle(-1476.4,197,2150.4,254.5);
// library properties:
lib.properties = {
	id: '50AA8BD66216AA4984AB15C1BD729899',
	width: 400,
	height: 400,
	fps: 24,
	color: "#CCCCCC",
	opacity: 1.00,
	manifest: [],
	preloads: []
};



// bootstrap callback support:

(lib.Stage = function(canvas) {
	createjs.Stage.call(this, canvas);
}).prototype = p = new createjs.Stage();

p.setAutoPlay = function(autoPlay) {
	this.tickEnabled = autoPlay;
}
p.play = function() { this.tickEnabled = true; this.getChildAt(0).gotoAndPlay(this.getTimelinePosition()) }
p.stop = function(ms) { if(ms) this.seek(ms); this.tickEnabled = false; }
p.seek = function(ms) { this.tickEnabled = true; this.getChildAt(0).gotoAndStop(lib.properties.fps * ms / 1000); }
p.getDuration = function() { return this.getChildAt(0).totalFrames / lib.properties.fps * 1000; }

p.getTimelinePosition = function() { return this.getChildAt(0).currentFrame / lib.properties.fps * 1000; }

an.bootcompsLoaded = an.bootcompsLoaded || [];
if(!an.bootstrapListeners) {
	an.bootstrapListeners=[];
}

an.bootstrapCallback=function(fnCallback) {
	an.bootstrapListeners.push(fnCallback);
	if(an.bootcompsLoaded.length > 0) {
		for(var i=0; i<an.bootcompsLoaded.length; ++i) {
			fnCallback(an.bootcompsLoaded[i]);
		}
	}
};

an.compositions = an.compositions || {};
an.compositions['50AA8BD66216AA4984AB15C1BD729899'] = {
	getStage: function() { return exportRoot.getStage(); },
	getLibrary: function() { return lib; },
	getSpriteSheet: function() { return ss; },
	getImages: function() { return img; }
};

an.compositionLoaded = function(id) {
	an.bootcompsLoaded.push(id);
	for(var j=0; j<an.bootstrapListeners.length; j++) {
		an.bootstrapListeners[j](id);
	}
}

an.getComposition = function(id) {
	return an.compositions[id];
}



})(createjs = createjs||{}, AdobeAn = AdobeAn||{});
var createjs, AdobeAn;